\draw (24,50) node [align=left] {$\displaystyle C_2$};

%1 карта
\linetableone  {0}{0}{ }{ }
\linetabletwo  {0}{0}{ }{ }
\linetablethree{0}{ }{0}{ }
\linetablefour {0}{ }{0}{ }

%2 карта
\linetablefive  { }{ }{0}{0}
\linetablesix   { }{ }{0}{0}
\linetableseven { }{0}{0}{0}
\linetableeight { }{0}{ }{0}

%3 карта
\linetablenine  {0}{0}{ }{ }
\linetableten   {0}{0}{0}{0}
\linetableeleven{0}{0}{ }{0}
\linetabletwelve{0}{ }{0}{ }

%4 карта
\linetablethirteen{ }{ }{0}{0}
\linetablefourteen{0}{0}{ }{ }
\linetablefifteen {0}{ }{0}{ }
\linetablesixteen { }{0}{0}{0}

\draw (366,155) node  [align=left] {$\displaystyle C_{2} =\begin{Bmatrix}
    x00x0x \\
    x0xx00 \\
    001x11 \\
    010x1x \\
    01xx10 \\
    011x01 \\
    x11111 \\
    1001xx \\
    10x10x \\
    1x010x \\
    10x1x0 \\
    1xx100 \\
    1x1011 \\
    11x01x \\
    1110x1
    \end{Bmatrix}$ \\
    $S_a^{C_2} = 63,S_b^{c_2} = 78$
};
%(X₁ V X₂ V X₄) & (X₁ V X₄ V X₅) & (X₀ V X₁ V ̅X₂ V ̅X₄ V ̅X₅) & (X₀ V ̅X₁ V X₂ V ̅X₄) & (X₀ V ̅X₁ V ̅X₄ V X₅) & (X₀ V ̅X₁ V ̅X₂ V X₄ V ̅X₅) & (̅X₁ V ̅X₂ V ̅X₃ V ̅X₄ V ̅X₅) & (̅X₀ V X₁ V X₂ V ̅X₃) & (̅X₀ V X₁ V ̅X₃ V X₄) & (̅X₀ V X₂ V ̅X₃ V X₄) & (̅X₀ V X₁ V ̅X₃ V X₅) & (̅X₀ V ̅X₃ V X₄ V X₅) & (̅X₀ V ̅X₂ V X₃ V ̅X₄ V ̅X₅) & (̅X₀ V ̅X₁ V X₃ V ̅X₄) & (̅X₀ V ̅X₁ V ̅X₂ V X₃ V ̅X₅)

\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (84.5,64.5) -- (116.75,64.5) -- (116.75,97.5) -- (84.5,97.5) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (84.5,194.5) -- (116.75,194.5) -- (116.75,227.5) -- (84.5,227.5) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ]   (84.5,97.5) .. controls (68.75,104.5) and (69.75,188.5) .. (84.5,194.5) ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }  ,draw opacity=1 ] (85,63.5) -- (97.75,63.5) -- (97.75,138) -- (85,138) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }  ,draw opacity=1 ] (85,193.5) -- (97.75,193.5) -- (97.75,268) -- (85,268) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }  ,draw opacity=1 ]   (84.5,125.5) .. controls (71.25,130.5) and (73.25,228.5) .. (83.75,239) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (125,105) -- (138.25,105) -- (138.25,138) -- (125,138) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (235,105) -- (248.25,105) -- (248.25,138) -- (235,138) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (254.5,64.5) -- (286.75,64.5) -- (286.75,97.5) -- (254.5,97.5) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }  ,draw opacity=1 ] (275,63.5) -- (287.75,63.5) -- (287.75,138) -- (275,138) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 252; blue, 250 }  ,draw opacity=1 ] (253.5,111.5) .. controls (253.5,107.08) and (257.08,103.5) .. (261.5,103.5) .. controls (265.92,103.5) and (269.5,107.08) .. (269.5,111.5) .. controls (269.5,115.92) and (265.92,119.5) .. (261.5,119.5) .. controls (257.08,119.5) and (253.5,115.92) .. (253.5,111.5) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 252; blue, 250 }  ,draw opacity=1 ] (253.5,240.5) .. controls (253.5,236.08) and (257.08,232.5) .. (261.5,232.5) .. controls (265.92,232.5) and (269.5,236.08) .. (269.5,240.5) .. controls (269.5,244.92) and (265.92,248.5) .. (261.5,248.5) .. controls (257.08,248.5) and (253.5,244.92) .. (253.5,240.5) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 255 }  ,draw opacity=1 ]   (269.5,111.5) .. controls (268.25,130) and (267.75,165) .. (269.5,240.5) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (157.63,215.38) -- (157.63,228.13) -- (83.13,228.13) -- (83.13,215.38) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 255 }  ,draw opacity=1 ] (84.5,214.5) -- (116.75,214.5) -- (116.75,247.5) -- (84.5,247.5) -- cycle ;
\draw [color={rgb, 255:red, 170; green, 0; blue, 255 }  ,draw opacity=1 ] (214,213) -- (247.25,213) -- (247.25,229) -- (214,229) -- cycle ;
\draw [color={rgb, 255:red, 170; green, 0; blue, 255 }  ,draw opacity=1 ] (84,213) -- (117.25,213) -- (117.25,229) -- (84,229) -- cycle ;
\draw [color={rgb, 255:red, 177; green, 0; blue, 255 }  ,draw opacity=1 ]   (117.25,213) -- (214,213) ;
\draw [color={rgb, 255:red, 255; green, 173; blue, 0 }  ,draw opacity=1 ]   (166.2,214.8) -- (145.13,214.8) -- (145.13,247.26) -- (164.96,247.26) -- (164.96,278.66) -- (76.43,278.66) -- (76.43,249.14) -- (96.42,249.14) -- (96.42,216.72) -- (73.86,216.72) ;
\draw [color={rgb, 255:red, 0; green, 206; blue, 255 }  ,draw opacity=1 ]   (73.2,247) -- (95.4,247) -- (95.4,212.8) -- (77.52,212.8) -- (77.52,181.95) -- (205.74,181.95) -- (205.74,214.2) -- (228.07,214.2) -- (228.07,247.68) -- (205.8,247.68) ;
\draw [color={rgb, 255:red, 0; green, 81; blue, 255 }  ,draw opacity=1 ] (253.5,260.5) .. controls (253.5,256.08) and (257.08,252.5) .. (261.5,252.5) .. controls (265.92,252.5) and (269.5,256.08) .. (269.5,260.5) .. controls (269.5,264.92) and (265.92,268.5) .. (261.5,268.5) .. controls (257.08,268.5) and (253.5,264.92) .. (253.5,260.5) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 81; blue, 252 }  ,draw opacity=1 ] (123.5,260.5) .. controls (123.5,256.08) and (127.08,252.5) .. (131.5,252.5) .. controls (135.92,252.5) and (139.5,256.08) .. (139.5,260.5) .. controls (139.5,264.92) and (135.92,268.5) .. (131.5,268.5) .. controls (127.08,268.5) and (123.5,264.92) .. (123.5,260.5) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 81; blue, 255 }  ,draw opacity=1 ]   (131.5,268.5) .. controls (132.75,279.5) and (262.75,280) .. (261.5,268.5) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ]   (254,184.5) -- (254,208.36) -- (287.75,208.36) -- (287.75,183) -- (296.26,183) -- (296.26,278.11) -- (287.74,278.11) -- (287.74,254.35) -- (253.72,254.35) -- (253.72,276.04) ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }  ,draw opacity=1 ] (234,253) -- (267.25,253) -- (267.25,269) -- (234,269) -- cycle ;
